Triggered when a report is completed and ready for download.
Use the reportId from the payload as the path parameter to Create Report Download URL to generate a short-lived pre-signed URL for the report artifact.
{listenerUrl}/report-completed Triggered when a report is completed and ready for download.
Use the reportId from the payload as the path parameter to Create Report Download URL to generate a short-lived pre-signed URL for the report artifact.
X-Delivery-IdstringUnique message id plus delivery attempt.
X-Key-IdstringID of the public key used to validate the signature.
X-SignaturestringBase64-encoded RSA SHA-256 signature of {deliveryId}:.
topicstringreport-completedpayloadobjectreportTypestringdaily-funding-sourcemonthly-funding-sourcedaily-funding-source-interactionmonthly-funding-source-interactiondaily-paymentmonthly-paymentThe type of report being generated.
reportIdstringIdentifier of the report.
messageIdstringlistenerIdstringlistenerAccountIdstringdeliveryAttemptnumbercreatedAtstringThe notification message creation timestamp.
sentAtstringThe delivery attempt timestamp.
keyIdstringThe public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.
issuerstring